tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule.Identity

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.Identity

- Enclosing class:
    DiscoveryModule

      public static class DiscoveryModule.Identity
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setCategory(String category)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Identity

          public Identity()

  - ### Method Detail

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

Copyright © 2006–2020 Tigase. All rights reserved.